# Uses of Interface
classycle.graph.Attributes

Packages that use Attributes
Package
Description
classycle
classycle.graph

## Uses of Attributes in classycle

Classes in classycle that implement Attributes
Modifier and Type
Class
Description
`class`
`ClassAttributes`
Immutable class holding the attributes of a class vertex.
`class`
`NameAndSourceAttributes`
Abstract super class of `Attributes` with a name and a set of sources.
`class`
`PackageAttributes`

## Uses of Attributes in classycle.graph

Subinterfaces of Attributes in classycle.graph
Modifier and Type
Interface
Description
`interface`
`GraphAttributes`
Attributes of a graph.
Classes in classycle.graph that implement Attributes
Modifier and Type
Class
Description
`class`
`NameAttributes`
Methods in classycle.graph that return Attributes
Modifier and Type
Method
Description
`Attributes`
Vertex.`getAttributes()`
Returns the attributes.
Methods in classycle.graph with parameters of type Attributes
Modifier and Type
Method
Description
`int`
NameAttributes.`compareTo(Attributes object)`
Constructors in classycle.graph with parameters of type Attributes
Modifier
Constructor
Description
``
`AtomicVertex(Attributes attributes)`
Creates an instance for the specified attributes.
``
`Vertex(Attributes attributes)`
Create a new instance for the specified attributes.